Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:45 2009

## Asterisk developer's documentation

# mgcp_subchannel Struct Reference

Collaboration diagram for mgcp_subchannel:

[legend]

## Data Fields

int | alreadygone
char | callid [80]
struct mgcp_request * | cx_queue
ast_mutex_t | cx_queue_lock
char | cxident [80]
int | cxmode
int | id
int | iseq
ast_mutex_t | lock
char | magic [6]
int | nat
struct mgcp_subchannel * | next
int | outgoing
struct ast_channel * | owner
struct mgcp_endpoint * | parent
struct ast_rtp * | rtp
struct sockaddr_in | tmpdest
char | txident [80]

## Detailed Description

Definition at line 338 of file chan_mgcp.c.

## Field Documentation

int alreadygone

Definition at line 366 of file chan_mgcp.c.

Referenced by attempt_transfer(), handle_request(), mgcp_hangup(), and unalloc_sub().

char callid[80]

Definition at line 355 of file chan_mgcp.c.

Referenced by mgcp_call(), mgcp_hangup(), start_rtp(), transmit_connect_with_sdp(), transmit_connection_del(), transmit_modify_request(), transmit_modify_with_sdp(), and unalloc_sub().

struct mgcp_request* cx_queue`[read]`

Definition at line 361 of file chan_mgcp.c.

Referenced by dump_cmd_queues(), handle_response(), and send_request().

ast_mutex_t cx_queue_lock

Definition at line 362 of file chan_mgcp.c.

Referenced by build_gateway(), dump_cmd_queues(), handle_response(), and send_request().

char cxident[80]

Definition at line 354 of file chan_mgcp.c.

Referenced by destroy_endpoint(), handle_response(), mgcp_call(), mgcp_hangup(), transmit_connection_del(), transmit_modify_request(), transmit_modify_with_sdp(), and unalloc_sub().

int cxmode

Definition at line 360 of file chan_mgcp.c.

Referenced by build_gateway(), handle_hd_hf(), handle_request(), mgcp_answer(), mgcp_call(), mgcp_hangup(), transmit_connect_with_sdp(), transmit_connection_del(), transmit_modify_request(), transmit_modify_with_sdp(), transmit_notify_request(), transmit_notify_request_with_callerid(), and unalloc_sub().

int id

Definition at line 347 of file chan_mgcp.c.

Referenced by attempt_transfer(), build_gateway(), find_subchannel_and_lock(), handle_request(), handle_response(), mgcp_answer(), mgcp_new(), transmit_connect_with_sdp(), transmit_connection_del(), transmit_modify_request(), transmit_notify_request(), transmit_notify_request_with_callerid(), and unalloc_sub().

int iseq

Definition at line 364 of file chan_mgcp.c.

ast_mutex_t lock

Definition at line 346 of file chan_mgcp.c.

Referenced by build_gateway(), destroy_endpoint(), find_subchannel_and_lock(), handle_request(), mgcp_answer(), mgcp_call(), mgcp_fixup(), mgcp_hangup(), mgcp_indicate(), mgcp_queue_frame(), mgcp_queue_hangup(), mgcp_read(), mgcp_request(), mgcp_senddigit(), mgcp_write(), mgcpsock_read(), and start_rtp().

char magic[6]

Definition at line 345 of file chan_mgcp.c.

Referenced by build_gateway(), destroy_endpoint(), and mgcp_hangup().

int nat

Definition at line 363 of file chan_mgcp.c.

Referenced by build_gateway(), and start_rtp().

struct mgcp_subchannel* next`[read]`

Definition at line 371 of file chan_mgcp.c.

Referenced by attempt_transfer(), build_gateway(), destroy_endpoint(), dump_cmd_queues(), find_subchannel_and_lock(), handle_request(), handle_response(), mgcp_call(), mgcp_hangup(), mgcp_request(), and mgcp_ss().

int outgoing

Definition at line 365 of file chan_mgcp.c.

Referenced by handle_hd_hf(), handle_request(), mgcp_call(), mgcp_hangup(), and unalloc_sub().

struct ast_channel* owner`[read]`

Definition at line 348 of file chan_mgcp.c.

Referenced by attempt_transfer(), handle_hd_hf(), handle_request(), handle_response(), mgcp_call(), mgcp_fixup(), mgcp_hangup(), mgcp_new(), mgcp_queue_frame(), mgcp_queue_hangup(), mgcp_request(), mgcp_rtp_read(), mgcp_show_endpoints(), mgcp_ss(), start_rtp(), and unalloc_sub().

struct mgcp_endpoint* parent`[read]`

Definition at line 349 of file chan_mgcp.c.

Referenced by add_sdp(), build_gateway(), find_and_retrans(), handle_hd_hf(), handle_request(), mgcp_answer(), mgcp_call(), mgcp_get_rtp_peer(), mgcp_hangup(), mgcp_new(), mgcp_request(), mgcp_rtp_read(), mgcp_ss(), mgcp_write(), mgcpsock_read(), process_sdp(), resend_response(), send_response(), transmit_connect_with_sdp(), transmit_connection_del(), transmit_modify_request(), transmit_modify_with_sdp(), transmit_notify_request(), transmit_notify_request_with_callerid(), transmit_response(), and unalloc_sub().

struct ast_rtp* rtp`[read]`

Definition at line 350 of file chan_mgcp.c.

Referenced by add_sdp(), build_gateway(), destroy_endpoint(), handle_hd_hf(), handle_request(), handle_response(), mgcp_answer(), mgcp_call(), mgcp_get_rtp_peer(), mgcp_hangup(), mgcp_new(), mgcp_rtp_read(), mgcp_write(), process_sdp(), start_rtp(), transmit_connect_with_sdp(), transmit_modify_request(), transmit_modify_with_sdp(), transmit_notify_request(), transmit_notify_request_with_callerid(), and unalloc_sub().

struct sockaddr_in tmpdest`[read]`

Definition at line 351 of file chan_mgcp.c.

Referenced by add_sdp(), handle_response(), mgcp_hangup(), transmit_modify_with_sdp(), and unalloc_sub().

char txident[80]

Definition at line 352 of file chan_mgcp.c.

Referenced by build_gateway(), start_rtp(), transmit_connect_with_sdp(), transmit_connection_del(), transmit_modify_request(), and transmit_modify_with_sdp().

The documentation for this struct was generated from the following file:

- chan_mgcp.c